QGIS Application - Bug report #7004
Custom positioning of Layers panel
2013-01-17 12:48 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16105
Description

| prefer to have the Layers panel on the right hand side of the main window instead of its default position on the left. Qgis does a good job
of remembering this position the next time | start up.
However if | open a project with the Layers panel docked on the right hand side, the following problems are observed:

- All the layers in the project are disabled unless | check the "Control rendering order" box below the panel.

- All the layers appear in order but their groups are all missing

- Right clicking anywhere in the Layers panel is disabled.

The only fix for this problem is to undock the layers panel, dock it to the left then it magically starts working normally. Then undock it again
and dock it to the right side. Then it keeps working just as if it were on the left.

History

#1 - 2013-01-17 01:07 AM - Nathan Woodrow

| can't confirm that here on Windows or Linux. Can you test a nighly build using the OSGeo4W install because the Control rendering order tickbox is now
gone from that panel.

#2 - 2013-01-19 04:34 AM - Patrick Dunford

The problem is that so far (testing 1.8.0) | haven't worked out yet how to show this up consistently.

#3 - 2013-01-19 04:48 AM - Giovanni Manghi

Patrick Dunford wrote:

The problem is that so far (testing 1.8.0)

you should test qgis-master anyway.

#4 - 2013-01-21 12:52 PM - Patrick Dunford

Is it possible to have two different editions on the same computer, | would be happy to have 1.9 beta as long as it doesn't stop me from using 1.8 (with
different project files) in case some serious issue shows up.
#5 - 2013-01-22 03:30 AM - Regis Haubourg
You can use --configpath option described in the manual. In master , preferences and .qgis profile can be moved where you want, so that the two versions

won't interfer

#6 - 2013-01-22 01:10 PM - Patrick Dunford

Thanks for that. Is there somewhere | can find out about the new features in 1.9, when do you expect the release?

#7 - 2014-03-24 07:58 AM - Alexander Bruy
- Status changed from Open to Closed

Works fine for me. Please reopen if necessary
